"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toHaveCompiledCss = function (element) {
    var _a;
    var args = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        args[_i - 1] = arguments[_i];
    }
    var property = args[0], value = args[1];
    var properties = typeof property === 'string' ? (_a = {}, _a[property] = value, _a) : property;
    var styleElement = element.parentElement && element.parentElement.querySelector('style');
    var stylesToFind = Object.keys(properties).map(function (property) { return property + ":" + properties[property]; });
    if (!styleElement) {
        return {
            pass: false,
            message: function () { return 'pairing style element was not found'; },
        };
    }
    // This is a hack to get ahold of the styles.
    // Unfortunately JSDOM doesn't handle css variables properly
    // See: https://github.com/jsdom/jsdom/issues/1895
    // @ts-ignore
    var styles = element[Object.keys(element)[0]].memoizedProps.style;
    var css = styleElement.textContent || '';
    if (styles && Object.keys(styles).length > 0) {
        Object.entries(styles).forEach(function (_a) {
            var key = _a[0], value = _a[1];
            css = css.replace("var(" + key + ")", value);
        });
    }
    var notFoundStyles = stylesToFind.filter(function (styleToFind) { return !css.includes(styleToFind); });
    if (css.includes("." + element.className) && notFoundStyles.length === 0) {
        return {
            pass: true,
            message: function () { return ''; },
        };
    }
    return {
        pass: false,
        message: function () { return "Could not find \"" + notFoundStyles.join(', ') + "\" on <" + element.nodeName.toLowerCase() + "> element.\n\nFound styles:\n" + css; },
    };
};
//# sourceMappingURL=matchers.js.map